org.apache.ignite.internal.processors.cache.database

## Class MemoryMetricsSnapshot

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.database.MemoryMetricsSnapshot

All Implemented Interfaces:
  MemoryMetrics

    public class MemoryMetricsSnapshot
    extends Object
    implements MemoryMetrics

### Constructor Summary

Constructors
Constructor and Description
`MemoryMetricsSnapshot(MemoryMetrics metrics)`

### Method Summary

Methods
`float` `getAllocationRate()` Gets pages allocation rate of a memory region.
`float` `getEvictionRate()` Gets eviction rate of a given memory region.
`float` `getLargeEntriesPagesPercentage()` Gets percentage of pages that are fully occupied by large entries that go beyond page size.
`String` `getName()` A name of a memory region the metrics are collected for.
`float` `getPagesFillFactor()` Gets the percentage of space that is still free and can be filled in.
`long` `getTotalAllocatedPages()` Gets a total number of allocated pages in a memory region.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MemoryMetricsSnapshot

    public MemoryMetricsSnapshot(MemoryMetrics metrics)

Parameters:
  `metrics` - Metrics instance to take a copy.

### Method Detail

#### getName

    public String getName()

A name of a memory region the metrics are collected for.

Specified by:
  `getName` in interface `MemoryMetrics`
Returns:
  Name of the memory region.

#### getTotalAllocatedPages

    public long getTotalAllocatedPages()

Gets a total number of allocated pages in a memory region.

Specified by:
  `getTotalAllocatedPages` in interface `MemoryMetrics`
Returns:
  Total number of allocated pages.

#### getAllocationRate

    public float getAllocationRate()

Gets pages allocation rate of a memory region.

Specified by:
  `getAllocationRate` in interface `MemoryMetrics`
Returns:
  Number of allocated pages per second.

#### getEvictionRate

    public float getEvictionRate()

Gets eviction rate of a given memory region.

Specified by:
  `getEvictionRate` in interface `MemoryMetrics`
Returns:
  Number of evicted pages per second.

#### getLargeEntriesPagesPercentage

    public float getLargeEntriesPagesPercentage()

Gets percentage of pages that are fully occupied by large entries that go beyond page size. The large entities are split into fragments in a way so that each fragment can fit into a single page.

Specified by:
  `getLargeEntriesPagesPercentage` in interface `MemoryMetrics`
Returns:
  Percentage of pages fully occupied by large entities.

#### getPagesFillFactor

    public float getPagesFillFactor()

Gets the percentage of space that is still free and can be filled in.

Specified by:
  `getPagesFillFactor` in interface `MemoryMetrics`
Returns:
  The percentage of space that is still free and can be filled in.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017